#pragma once



// CProgressDlgThread

class CProgressDlgThread : public CWinThread
{
	DECLARE_DYNCREATE(CProgressDlgThread)

public:
	CString  m_Text;
	CString  m_sTitle;

	long m_End;
	bool m_bInit;
	bool m_bCanceled;

protected:
	CProgressDlgThread();           // protected constructor used by dynamic creation
	virtual ~CProgressDlgThread();

public:

	bool End();
	bool IsReal();
	BOOL IsInitialized();
	void DisableBreakButton();
	void IncreaseValue(int val);
	void SetValue(int val);
	void SetText(const TCHAR * text);
	void SetTitle(const TCHAR* title);

	virtual BOOL InitInstance();
	virtual int ExitInstance();

protected:
	DECLARE_MESSAGE_MAP()
};


